TARGET =	pscc
SUPER_PACKAGES_PATH = baseparsuif
LIBS =		-lsuif1
MANPAGES =	pscc.1
HEADERS =	pscc.h String.h commands.def
SRCS =		pscc.cc String.cc
OBJS =		pscc.o String.o
SCC_CXXFLAGS = -DPSCC_SYSTEM_NAME=\"$(MACHINE)\" -DSUIF_TOP=$(SUIFHOME) -DSUIFPATH=$(SUIFPATH)

ifeq (sgi_c++,$(COMPILER_NAME))
#
#  The warnings on the IRIX 5.3 compiler that we turn off specially
#  for pscc are as follows:
#      3262 -- ``parameter declared and never referenced''  The PASS()
#              macros defined in "pscc.h" decalare functions with
#              parameters that are used in some cases and not others,
#              so we don't want it flagged as a problem when after
#              macro expansion there are parameters declared and not
#              referenced.
#
EXTRA_CXXFLAGS = $(SCC_CXXFLAGS) -woff 3262
else
EXTRA_CXXFLAGS = $(SCC_CXXFLAGS)
endif

all:		prog
install-bin:	install-prog

include $(SUIFHOME)/Makefile.std
